AppName EQU "Nspire8x"

 DEFINE FASTSPEED

 DEFINE TIOSCHECK
MajorTIOSVersion EQU 2
MinorTIOSVersion EQU 30

 DEFINE Main, Space=ROM
 DEFINE TextSpace, Space=ROM
 DEFINE Header, Space=ROM
 DEFINE MemVars, Space=ROM

VER_STRING           EQU    "0.03"
BUILD_STRING         EQU    "0001"
MAJOR_NAVNET_VERSION EQU    00h
MINOR_NAVNET_VERSION EQU    03h
NAVNET_DRIVER_SIZE   EQU    384

NavNetMemPtr         EQU    89F0h+30h ;flags+xapFlag2
NavNetNCallPtr       EQU    89F0h+22h ;flags+asm_Flag2
usb8xMemPtr          EQU    0FE67h
CRCfirst             EQU    0FE70h
CRCsecond            EQU    0FE72h
CRCthird             EQU    0FE74h
tempSeqID            EQU    0FE76h
tempByte             EQU    0FE77h

nspire8xFlags               EQU    21h ;asm_Flag1
receivingPacket             EQU    0
receivingScreenshot         EQU    1
addressSent                 EQU    2
sendServiceDisconnect       EQU    3
test                        EQU    4

navNetRequestFlags          EQU    2Fh ;xapFlag1
receivingDirectory          EQU    0
fileRequestComplete         EQU    1
receivingAttributes         EQU    2
receivingFile               EQU    3
sendingFile                 EQU    4
installingOS                EQU    5

logPage       EQU    82h
logAddress    EQU    8000h

N_CALL macro label
       ld a,u&label
       call MakeNCall
 .endm

